%{?nodejs_find_provides_and_requires}

%global packagename table

# Tests disabled, as we don't have npm(pragmatist)
%global enable_tests 0

Name:		nodejs-table
Version:	3.7.8
Release:	1%{?dist}
Summary:	Formats data into a string table

License:	BSD
URL:		https://github.com/gajus/table
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Formats data into a string table.


%prep
%autosetup -n package
%nodejs_fixdep lodash

%build
# nothing to do, as we don't have npm(pragmatist)

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug  2 2016 Jared Smith <jsmith@fedoraproject.org> - 3.7.8-1
- Initial packaging
